org.apache.cassandra.io.util

## Class MmappedSegmentedFile.Builder.Boundaries

- java.lang.Object
- - org.apache.cassandra.io.util.MmappedSegmentedFile.Builder.Boundaries

Enclosing class:
  MmappedSegmentedFile.Builder

    public static class MmappedSegmentedFile.Builder.Boundaries
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Boundaries()`
`Boundaries(long[] boundaries, int fixedCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCandidate(long candidate)`
`long[]` `finish(long length, boolean isFinal)`
`long[]` `truncate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Boundaries

    public Boundaries()

#### Boundaries

    public Boundaries(long[] boundaries,
                      int fixedCount)

### Method Detail

#### addCandidate

    public void addCandidate(long candidate)

#### truncate

    public long[] truncate()

#### finish

    public long[] finish(long length,
                         boolean isFinal)